Summary:	Flexible, extensible, and powerful assistive technology
Summary(pl.UTF-8):	Elastyczna, rozszerzalna i potężna technologia wspomagająca
Name:		orca
Version:	3.24.0
Release:	1
License:	LGPL v2+
Group:		X11/Applications/Accessibility
Source0:	http://ftp.gnome.org/pub/GNOME/sources/orca/3.24/%{name}-%{version}.tar.xz
# Source0-md5:	d5b4081eafd382d91badfb0f8c0b16c3
URL:		http://www.gnome.org/projects/orca/
BuildRequires:	at-spi2-atk-devel >= 2.12
BuildRequires:	at-spi2-core-devel >= 2.12
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	gnome-doc-utils >= 0.18.0
BuildRequires:	gstreamer-devel >= 1.0
BuildRequires:	gtk+3-devel >= 3.6.2
BuildRequires:	intltool >= 0.50.0
BuildRequires:	liblouis-devel
BuildRequires:	pkgconfig
BuildRequires:	python3-brlapi >= 3.9
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-louis
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-pyatspi >= 2.12
BuildRequires:	python3-pygobject3-devel >= 3.10
BuildRequires:	python3-speech-dispatcher >= 0.8
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	python3-brlapi >= 3.9
Requires:	python3-pyatspi >= 2.12
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.10
Requires:	python3-speech-dispatcher >= 0.8
Suggests:	python3-louis
Provides:	gnopernicus
Obsoletes:	gnopernicus
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Orca is a flexible, extensible, and powerful assistive technology for
people with visual impairments. Using various combinations of speech
synthesis, braille, and magnification, Orca helps provide access to
applications and toolkits that support the AT-SPI (e.g., the GNOME
desktop).

%description -l pl.UTF-8
Orca to elastyczna, rozszerzalna i potężna technologia wspomagająca
dla ludzi z zaburzeniami widzenia. Przy użyciu różnych kombinacji
syntezy mowy, braille'a i powiększania Orca pomaga w uzyskaniu dostępu
do aplikacji i toolkitów obsługujących AT-SPI (np. pochodzących ze
środowiska GNOME).

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README TODO
%attr(755,root,root) %{_bindir}/orca
%{_datadir}/orca
%{_iconsdir}/hicolor/*/apps/orca.*
%{_iconsdir}/hicolor/symbolic/apps/orca-symbolic.svg
%dir %{py3_sitescriptdir}/orca
%{py3_sitescriptdir}/orca/*.py
%{py3_sitescriptdir}/orca/__pycache__
%dir %{py3_sitescriptdir}/orca/backends
%{py3_sitescriptdir}/orca/backends/*.py
%{py3_sitescriptdir}/orca/backends/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts
%{py3_sitescriptdir}/orca/scripts/*.py
%{py3_sitescriptdir}/orca/scripts/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps
%{py3_sitescriptdir}/orca/scripts/apps/*.py
%{py3_sitescriptdir}/orca/scripts/apps/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/Banshee
%{py3_sitescriptdir}/orca/scripts/apps/Banshee/*.py
%{py3_sitescriptdir}/orca/scripts/apps/Banshee/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/Eclipse
%{py3_sitescriptdir}/orca/scripts/apps/Eclipse/*.py
%{py3_sitescriptdir}/orca/scripts/apps/Eclipse/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/Instantbird
%{py3_sitescriptdir}/orca/scripts/apps/Instantbird/*.py
%{py3_sitescriptdir}/orca/scripts/apps/Instantbird/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/Mozilla
%{py3_sitescriptdir}/orca/scripts/apps/Mozilla/*.py
%{py3_sitescriptdir}/orca/scripts/apps/Mozilla/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/SeaMonkey
%{py3_sitescriptdir}/orca/scripts/apps/SeaMonkey/*.py
%{py3_sitescriptdir}/orca/scripts/apps/SeaMonkey/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/Thunderbird
%{py3_sitescriptdir}/orca/scripts/apps/Thunderbird/*.py
%{py3_sitescriptdir}/orca/scripts/apps/Thunderbird/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/ekiga
%{py3_sitescriptdir}/orca/scripts/apps/ekiga/*.py
%{py3_sitescriptdir}/orca/scripts/apps/ekiga/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/empathy
%{py3_sitescriptdir}/orca/scripts/apps/empathy/*.py
%{py3_sitescriptdir}/orca/scripts/apps/empathy/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/epiphany
%{py3_sitescriptdir}/orca/scripts/apps/epiphany/*.py
%{py3_sitescriptdir}/orca/scripts/apps/epiphany/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/evince
%{py3_sitescriptdir}/orca/scripts/apps/evince/*.py
%{py3_sitescriptdir}/orca/scripts/apps/evince/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/evolution
%{py3_sitescriptdir}/orca/scripts/apps/evolution/*.py
%{py3_sitescriptdir}/orca/scripts/apps/evolution/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/gajim
%{py3_sitescriptdir}/orca/scripts/apps/gajim/*.py
%{py3_sitescriptdir}/orca/scripts/apps/gajim/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/gcalctool
%{py3_sitescriptdir}/orca/scripts/apps/gcalctool/*.py
%{py3_sitescriptdir}/orca/scripts/apps/gcalctool/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/gedit
%{py3_sitescriptdir}/orca/scripts/apps/gedit/*.py
%{py3_sitescriptdir}/orca/scripts/apps/gedit/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/gnome-documents
%{py3_sitescriptdir}/orca/scripts/apps/gnome-documents/*.py
%{py3_sitescriptdir}/orca/scripts/apps/gnome-documents/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/gnome-keyring-ask
%{py3_sitescriptdir}/orca/scripts/apps/gnome-keyring-ask/*.py
%{py3_sitescriptdir}/orca/scripts/apps/gnome-keyring-ask/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/gnome-mud
%{py3_sitescriptdir}/orca/scripts/apps/gnome-mud/*.py
%{py3_sitescriptdir}/orca/scripts/apps/gnome-mud/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/gnome-panel
%{py3_sitescriptdir}/orca/scripts/apps/gnome-panel/*.py
%{py3_sitescriptdir}/orca/scripts/apps/gnome-panel/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/gnome-screensaver-dialog
%{py3_sitescriptdir}/orca/scripts/apps/gnome-screensaver-dialog/*.py
%{py3_sitescriptdir}/orca/scripts/apps/gnome-screensaver-dialog/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/gnome-search-tool
%{py3_sitescriptdir}/orca/scripts/apps/gnome-search-tool/*.py
%{py3_sitescriptdir}/orca/scripts/apps/gnome-search-tool/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/gnome-shell
%{py3_sitescriptdir}/orca/scripts/apps/gnome-shell/*.py
%{py3_sitescriptdir}/orca/scripts/apps/gnome-shell/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/gtk-window-decorator
%{py3_sitescriptdir}/orca/scripts/apps/gtk-window-decorator/*.py
%{py3_sitescriptdir}/orca/scripts/apps/gtk-window-decorator/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/gnome-window-properties
%{py3_sitescriptdir}/orca/scripts/apps/gnome-window-properties/*.py
%{py3_sitescriptdir}/orca/scripts/apps/gnome-window-properties/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/liferea
%{py3_sitescriptdir}/orca/scripts/apps/liferea/*.py
%{py3_sitescriptdir}/orca/scripts/apps/liferea/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/metacity
%{py3_sitescriptdir}/orca/scripts/apps/metacity/*.py
%{py3_sitescriptdir}/orca/scripts/apps/metacity/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/notification-daemon
%{py3_sitescriptdir}/orca/scripts/apps/notification-daemon/*.py
%{py3_sitescriptdir}/orca/scripts/apps/notification-daemon/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/notify-osd
%{py3_sitescriptdir}/orca/scripts/apps/notify-osd/*.py
%{py3_sitescriptdir}/orca/scripts/apps/notify-osd/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/pidgin
%{py3_sitescriptdir}/orca/scripts/apps/pidgin/*.py
%{py3_sitescriptdir}/orca/scripts/apps/pidgin/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/planner
%{py3_sitescriptdir}/orca/scripts/apps/planner/*.py
%{py3_sitescriptdir}/orca/scripts/apps/planner/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/rhythmbox
%{py3_sitescriptdir}/orca/scripts/apps/rhythmbox/*.py
%{py3_sitescriptdir}/orca/scripts/apps/rhythmbox/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/soffice
%{py3_sitescriptdir}/orca/scripts/apps/soffice/*.py
%{py3_sitescriptdir}/orca/scripts/apps/soffice/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/apps/xfwm4
%{py3_sitescriptdir}/orca/scripts/apps/xfwm4/*.py
%{py3_sitescriptdir}/orca/scripts/apps/xfwm4/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/terminal
%{py3_sitescriptdir}/orca/scripts/terminal/*.py
%{py3_sitescriptdir}/orca/scripts/terminal/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/toolkits
%{py3_sitescriptdir}/orca/scripts/toolkits/*.py
%{py3_sitescriptdir}/orca/scripts/toolkits/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/toolkits/GAIL
%{py3_sitescriptdir}/orca/scripts/toolkits/GAIL/*.py
%{py3_sitescriptdir}/orca/scripts/toolkits/GAIL/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/toolkits/Gecko
%{py3_sitescriptdir}/orca/scripts/toolkits/Gecko/*.py
%{py3_sitescriptdir}/orca/scripts/toolkits/Gecko/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/toolkits/J2SE-access-bridge
%{py3_sitescriptdir}/orca/scripts/toolkits/J2SE-access-bridge/*.py
%{py3_sitescriptdir}/orca/scripts/toolkits/J2SE-access-bridge/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/toolkits/Qt
%{py3_sitescriptdir}/orca/scripts/toolkits/Qt/*.py
%{py3_sitescriptdir}/orca/scripts/toolkits/Qt/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/toolkits/WebKitGtk
%{py3_sitescriptdir}/orca/scripts/toolkits/WebKitGtk/*.py
%{py3_sitescriptdir}/orca/scripts/toolkits/WebKitGtk/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/toolkits/clutter
%{py3_sitescriptdir}/orca/scripts/toolkits/clutter/*.py
%{py3_sitescriptdir}/orca/scripts/toolkits/clutter/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/toolkits/gtk
%{py3_sitescriptdir}/orca/scripts/toolkits/gtk/*.py
%{py3_sitescriptdir}/orca/scripts/toolkits/gtk/__pycache__
%dir %{py3_sitescriptdir}/orca/scripts/web
%{py3_sitescriptdir}/orca/scripts/web/*.py
%{py3_sitescriptdir}/orca/scripts/web/__pycache__
%{_mandir}/man1/orca.1*
%{_sysconfdir}/xdg/autostart/orca-autostart.desktop
%changelog
* Tue Jul 18 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/orca.git;a=log;h=master

* Tue Jul 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 2a2942d
- updated to 3.24.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d07ced
- python 3.6
- release 2 (by relup.sh)

* Sat Nov 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 2225b67
- Update to 3.22.2

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 02135f4
- icu-57.1 rebuild
- release 2 (by relup.sh)

* Fri Nov 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 1b48ecd
- updated to 3.18.2

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 71b3adb
- updated to 3.18.1

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 69d73ab
- python 3.5 rebuild
- release 2 (by relup.sh)

* Tue May 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> f2c78ca
- updated to 3.16.2

* Thu Apr 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 11ea066
- updated to 3.16.1

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 520e0cd
- x32 rebuild
- release 2 (by relup.sh)

* Wed Apr 01 2015 Łukasz Kieś <kiesiu@pld-linux.org> 23689dc
- updated to 3.16.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> e60a4df
- updated gettext BR

* Sun Dec 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 77817b9
- BR: python3-pygobject3-devel

* Sun Dec 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 408d660
- updated to 3.14.3

* Sat Nov 15 2014 Jakub Bogusz <qboosh@pld-linux.org> a0f1e10
- updated to 3.14.2

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5eb59df
- python 3.4
- release 2 (by relup.sh)

* Wed May 14 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 6ae2d03
- Update to 3.12.2

* Tue Apr 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 9602343
- Update to 3.12.1

* Sun Mar 30 2014 Jakub Bogusz <qboosh@pld-linux.org> dfbe50f
- updated to 3.12.0

* Sat Mar 29 2014 Jakub Bogusz <qboosh@pld-linux.org> e30bbf1
- updated to 3.10.3

